=== database/Makefile ===
ODBCServer.class: ODBCServer.java
	javac ODBCServer.java
