## ntop 4.0.3+dfsg1

=== debian/changelog ===
ntop (3:4.0.3+dfsg1-3~bpo60+1) squeeze-backports; urgency=low

  * Backport to squeeze.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 03 Apr 2011 17:52:54 -0700

ntop (3:4.0.3+dfsg1-3) unstable; urgency=low

  [ Ludovico Cavedon ]
  * Fix typo in debconf template.
  * Update po files.
  * Add/update debconf template transation:
    - Basque by Iñaki Larrañaga Murgoitio (Closes: #611164)
    - Danish by Joe Hansen (Closes: #611204)
    - Portuguese by Ricardo Silva (Closes: #611225)
    - Norwegian Nynorsk by Yngve Spjeld Landro
    - Swedish by Martin Bagge (Closes: #611186)
    - Slovak debconf template translation by Slavko (Closes: #611310)
    - Czech translation Miroslav Kure (Closes: #612635).
    - Italian.
  * Update hostaname-in-man-description.patch, being less vague about
    URL of ntop web interface (Closes: #466507).
  * Add netflow-plugin-links.patch: fix links in NetFlow plugin
    description (Closes: #530334).
  * Add ability to disable ntop from /etc/default/ntop (Closes:
    #531380).
  * Make sure the ntop group exists in the postinst (Closes: #613033).
  * Move adduser from Pre-depend to depend.

  [ Daniel Baumann ]
  * Adding French debconf translations from Steve Petruzzello
    <dlist@bluewin.ch> (Closes: #611715).
  * Running debconf-update on po files.
  * Removing useless whitespaces from EOL and EOF.
  * Updating to debhelper version 8.
  * Adding updated German debconf translations from
    Helge Kreutzmann <debian@helgefjell.de> (Closes: #611986).
  * Adding updated Russian debconf translations from
    Yuri Kozlov <yuray@komyakino.ru> (Closes: #611973).
  * Adding updated Spanish debconf translations from
    Ricardo Fraile <rikr@esdebian.org> (Closes: #611881).

 -- Ludovico Cavedon <cavedon@debian.org>  Mon, 14 Feb 2011 13:10:19 -0800

ntop (3:4.0.3+dfsg1-2) unstable; urgency=low

  [ Ludovico Cavedon ]
  * Rename maintainer scripts including the package name.
  * Remove misplaced ru.po file.
  * Add Vcs-* headers.
  * Do not call netstat, but read interface list from /proc (Closes: #607637).
  * Use "set -e" in maintainer scripts (see lintian warning
    maintainer-script-without-set-e).
  * Fix bug in check_interfaces() config function.
  * ntop.default: avoid prerm failure if package has never been fully
    configured.
  * Prevent config script failure if password is not asked (Closes: #607580).
  * Cleanup postrm script, thanks to J.M.Roth (Closes: #568626):
    - do not delete user (might be shared)
    - no need to remove /etc/ntop
    - wrap db_purge in a debconf availability check
    - re-indent
  * Add hostname-in-man-description.patch by A. Costa in order to add
    hostname:port in the description section of the man page
    (Closes: #466506).
  * Remove init.cfg from source package, as it is generated by postinst.
  * Handle interface "none", merged patch from Jason Healy (Closes: #520319).
  * Add dependency on net-tools, needed by the init script.
  * Make sure /var/log/ntop is not world readable and set group to adm. Thanks
    to J.M.Roth (Closes: #568641).
  * Set random password admin password if no password have ever been set
    and it is not possible to ask the user (LP: #355127).
  * Suggest geoip-database-contrib and add symlinks to its files.
    Explained in README.Debian.
  * Fix permissions in /var/lib/ntop (LP: #138682). Set sticky bit on
    /var/lib/ntop, so ntop user cannot change init.cfg, but can create
    subdirectories.
  * Disable DNS resolution as it makes ntop unstable.
  * Fix detection of not-active interfaces in ntop.init (LP: #231024).
  * Update po files.

  [ Jordan Metzmeier ]
  * Set password in postinst instead of config (Closes: #609070)
  * Add prompt to reset password if it is already set.
  * Update debconf template thanks to reviews by Christian Perrier and
    Justin B Rye.

  [ Daniel Baumann ]
  * Correct chown calls in ntop.postinst to not fail upon initial installation
    when the respective files are not yet present on the system.

 -- Ludovico Cavedon <cavedon@debian.org>  Tue, 25 Jan 2011 23:39:56 -0800

ntop (3:4.0.3+dfsg1-1) unstable; urgency=low

  [ Jordan Metzmeier ]
  * New upstream release (Closes: #522042)
  * Move data files to /usr/share/ntop (Closes: #595450).
  * Package architecture independent data in a separate ntop-data package.
  * Use debhelper 7.
  * Update Standards-Version to 3.9.1.
  * Depend on python-mako.
  * Do not include ntop.txt in binary packages as it is a copy of the man
    page.
  * Do not include NEWS, as it is outdated.
  * Switch to package source version 3.0 (quilt).
  * Add password creation to debconf
  * Changed init script to fix localization problems (thanks to Alejandro
    Varas <alej0varas@gmail.com>, LP: #257466)
  * Remove manual update-rc.d calls from postrm and postinst. debhelper adds
    this for us.
  * Add pre-depends on adduser for postinst script.
  * Fix errors in the manpages: fix-manpage-errors.patch.
  * Added fixes for matching active interfaces.
  * Added a watch file.

  [ Ludovico Cavedon ]
  * Remove direct changes to upstream tree, and move them into specific patch
    files:
    - fix-manpage-errors.patch: fix typos in ntop.8.
    - dot-path.patch: fix path of /usr/bin/dot executable
  * Add patches:
    - reduce-autogen-purged-files.patch: prevent agutogen.sh from removing
    too many files during cleanup.
    - Add build-without-ntop-darwin.patch, to fix compilation without
    ntop_darwin.c.
  * No longer add faq.html, as it is not distributed in the upstream tarball.
  * Use ${source:Version} in control file. Have ntop-data recommend
    ntop.
  * Rename dirs to ntop.dirs and keep only empty directories that need
    to be created.
  * Remove var/lib from ntop.install file, as it is empty (keeping it in
    ntop.dirs).
  * Update po files.
  * Breaks and Replaces instead of Conflitcs for ntop-data.
  * Use a longer package description.
  * Remove useless configure options from debian/rules.

