=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d+$// \
 http://sf.net/ntop/ntop-(.*)\.(?:tar\.gz|tgz) debian uupdate
