=== debian/changelog ===
ntop (3:4.1.0+dfsg1-1) unstable; urgency=low

  * New upstream version (Closes: #520266, LP: #365145, LP: #777801).
  * Add kfreebsd-ftbfs.patch by Christoph Egger to fix FTBS under kFreeBSD
    (Closes: #636389).
  * Update Brazilian debconf messages translation by Eder L. Marques
    (Closes: #629113).
  * Update po files.

 -- Ludovico Cavedon <cavedon@debian.org>  Sat, 20 Aug 2011 20:14:58 -0700

ntop (3:4.0.3+dfsg1-4) unstable; urgency=low

  * Avoid adduser warnings during postinst (Closes: #338648).
  * Update Finnish debconf template transation by Esko Arajärvi
    (Closes: #614652).
  * Update Slovak debconf template translation by Slavko (Closes: #622109).
  * /etc/default/init: do dot reference debconf settings and add description
    for user editable variables (Closes: #498308).
  * Redirect output messages to syslog (Closes: #391366).
  * Create empty access.log in postinst (Closes: #602890).
  * Use lsb helper functions for output in init script. Let start-stop-daemon
    handle detection of running daemon.
  * Depend on libjpeg-dev instead of libjpeg62-dev (Closes: #635485).
  * Update Standards-Version to 3.9.2.

 -- Ludovico Cavedon <cavedon@debian.org>  Sun, 31 Jul 2011 21:39:04 -0700
