=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Ludovico Cavedon <cavedon@debian.org>
 Build-Depends: debhelper (>= 8), libpcap0.8-dev, autoconf, automake,
  libgdbm-dev, libpng12-dev, libncurses5-dev, libtool, libwrap0-dev,
- libgd2-noxpm-dev, libjpeg62-dev, po-debconf, librrd2-dev, python-dev,
+ libgd2-noxpm-dev, libjpeg-dev, po-debconf, librrd2-dev, python-dev,
  libgeoip-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.ntop.org/
 Vcs-Git: git://git.debian.org/git/collab-maint/ntop.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/ntop.git
