## ntop 4.99.0

=== utils/Makefile ===
--- 
+++ 
@@ -5,14 +5,17 @@
 .PHONY: clean install all p2c mac
 
 # Programs
-PROGRAMS=addMacAddress addVlanName inetnum2countryalloc lookuptest p2clib prefixtablegen
+PROGRAMS=addMacAddress addVlanName inetnum2countryalloc lookuptest p2clib prefixtablegen gdbm_rw
 OBJECTS=addMacAddress.o addVlanName.o inetnum2countryalloc.o lookuptest.o p2clib.o prefixtablegen.o 
 SOURCES=addMacAddress.c addVlanName.c inetnum2countryalloc.c lookuptest.c p2clib.c prefixtablegen.c 
 
-all: p2c mac vlan
+all: p2c mac vlan gdbm_rw
 mac: addMacAddress
 vlan: addVlanName
 p2c: p2clib inetnum2countryalloc lookuptest prefixtablegen
+
+gdbm_rw: gdbm_rw.c
+	$(CC) $(CFLAGS) gdbm_rw.c -lgdbm -o gdbm_rw
 
 addMacAddress: addMacAddress.c
 	$(CC) $(CFLAGS) addMacAddress.c -lgdbm -o addMacAddress
