## ntop 4.99.0-rc+ndpi5237+dfsg1

=== debian/changelog ===
ntop (3:4.99.0-rc+ndpi5237+dfsg1-1) unstable; urgency=low

  * Imported Upstream version 4.99+rc and nDPI r5237.
  * Update Dutch debconf template transation by Jeroen Schot
    <schot@A-Eskwadraat.nl> (Closes: #650750).
  * Update Galician debconf translation by Anxo Outeiral (Closes: #626699).
  * Add Polish debconf translation by Michał Kułach (Closes: #660884).
  * Remove non-free Highcharts JS API from upstream tarball, document it in
    debian/NEWS, and suggest ntop-graphs package.
  * Remove commands to stop ntop in prerm script, as they are already added by
    debhelper.
  * Use "none" as default interface if no previous configuration exist.
  * Remove check for existing interaces during config.
  * Fix init script failure in some cases (Closes: #649639).
  * Add build dependency on groff for documentation generation
    (Closes: #633956).
  * Update watch file for upstream "-rc" suffix.
  * Refresh patches.
  * Add do-not-require-svn.patch to remove unneeded dependecy on svn.
  * Update reduce-autogen-purged-files.patch so nDPI is not be removed on
    cleanup.
  * Removed no longer needed dependency on mochikit.
  * Update Standards-Version to 3.9.3.
  * Add separate package for debug symbols.
  * Update copyright for new upstream version.
  * Add l7_major_proto-fix.patch and tcp-option-parsing.patch to fix crashes.
  * Build-Depends on libpng-dev to allow linpng transitions (Closes: #662447).
  * Prevent the init script to exit with an error if one of the configured
    interaces is not available (Closes: #662212, LP: #402215).
  * Add /sbin path to invocation of start-stop-daemon (Closes: #350693).
  * Add status command to init script (Closes: #513779, LP: #323717).
  * Refresh & fix patches.
  * Add LSB description to init script.
  * Re-enable DNS resolution.

 -- Ludovico Cavedon <cavedon@debian.org>  Mon, 19 Mar 2012 23:56:18 -0700
