=== debian/rules ===
--- 
+++ 
@@ -41,10 +41,6 @@
 	find $(CURDIR)/debian/tmp/usr/lib -name "*.la" -exec rm '{}' \;
 	find $(CURDIR)/debian/tmp/usr/lib -name "lib*Plugin*.so" -exec rm '{}' \;
 
-	# use system MochiKit.js library
-	rm $(CURDIR)/debian/tmp/usr/share/ntop/html/MochiKit/*
-	ln -sf ../../../javascript/mochikit/MochiKit.js $(CURDIR)/debian/tmp/usr/share/ntop/html/MochiKit/MochiKit.js
-
 	# link to GeoIP databases
 	ln -s /usr/share/GeoIP/GeoLiteCity.dat $(CURDIR)/debian/tmp/usr/share/ntop/GeoLiteCity.dat
 	ln -s /usr/share/GeoIP/GeoIPASNum.dat $(CURDIR)/debian/tmp/usr/share/ntop/GeoIPASNum.dat
@@ -52,6 +48,9 @@
 # avoid useless call to ldconfig for private libraries (see bug #205142)
 override_dh_makeshlibs:
 	dh_makeshlibs -Xusr/lib/ntop
+
+override_dh_strip:
+	        dh_strip --dbg-package=ntop-dbg
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -68,8 +67,9 @@
 %:
 	dh $@
 
-DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([0-9]+:)?(.*)\+dfsg.*,\2,p')
+DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([0-9]+:)?(.*)\+ndpi[0-9]+\+dfsg.*,\2,p')
 DEB_DFSG_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([0-9]+:)?(.*\+dfsg[0-9]+).*,\2,p')
+NDPI_REV=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([0-9]+:)?.*\+ndpi([0-9]+)\+dfsg.*,\2,p')
 
 get-orig-source:
-	sh debian/get-orig-source.sh $(DEB_UPSTREAM_VERSION) $(DEB_DFSG_VERSION)
+	sh debian/get-orig-source.sh $(DEB_UPSTREAM_VERSION) $(DEB_DFSG_VERSION) $(NDPI_REV)
