## ntop 4.99.3+ndpi5517+dfsg1

=== debian/changelog ===
ntop (3:4.99.3+ndpi5517+dfsg1-1) unstable; urgency=low

  * Imported Upstream version 4.99.3 and nDPI r5517.
  * get-orig-source.sh: incude nDPI in the orig tarball.
  * No longer suggest ntop-graphs and update NEWS about that.
  * Update copyright for the new jqPlot library.
  * Refresh patches.
  * Enable hardening flags.
  * Add install-jqplot.patch to install jqPlot.

 -- Ludovico Cavedon <cavedon@debian.org>  Wed, 27 Jun 2012 00:24:42 -0700
