=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ntop-data (= ${source:Version}),
  python-mako, net-tools, adduser, passwd
-Suggests: ntop-graphs, graphviz, gsfonts
+Suggests: graphviz, gsfonts
 Description: display network usage in web browser
  ntop is a network traffic probe that shows the network usage, similar to what
  the popular top Unix command does. ntop is based on libpcap and it has been
