=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,17 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-# Sample debian/rules that uses debhelper.
-# This file was originally written by Joey Hess and Craig Small.
-# As a special exception, when this file is copied by dh-make into a
-# dh-make output file, you may use that output file without restriction.
-# This special exception was added by Craig Small in version 0.37 of dh-make.
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CPPFLAGS_MAINT_APPEND  = -DMAKE_WITH_IGNORE_SIGPIPE
+
 override_dh_auto_configure:
-	./autogen.sh CFLAGS=-DMAKE_WITH_IGNORE_SIGPIPE \
+	./autogen.sh \
 	--prefix=/usr --bindir=/usr/sbin --libdir=/usr/lib/ntop \
-	--sysconfdir=/usr/share --localstatedir=/var/lib
+	--sysconfdir=/usr/share --localstatedir=/var/lib \
+	$(shell dpkg-buildflags --export=configure) 
 
 
 override_dh_auto_install:
