## ntop 4.99.3+ndpi5517+dfsg2

=== debian/changelog ===
ntop (3:4.99.3+ndpi5517+dfsg2-1) unstable; urgency=medium

  * Repackage upstream source replacing non-DFSG countmin code with the GPL
    one (Closes: #692732).
  * Update Maintainer and Uploaders.

 -- Ludovico Cavedon <cavedon@debian.org>  Fri, 30 Nov 2012 00:07:10 -0800
