## ntop 4.99.3+ndpi5517+dfsg3

=== debian/changelog ===
ntop (3:4.99.3+ndpi5517+dfsg3-1) unstable; urgency=high

  * Repackage source removing stale license notice from protocls.c
    (Closes: #695424).
  * Remove IP fragment handling code (Closes: #700442).
  * Disable OpenSSL (thanks to Giovanni Rapagnani, Closes: #695422).

 -- Ludovico Cavedon <cavedon@debian.org>  Thu, 28 Feb 2013 23:23:02 -0800
