=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ntop
 Section: net
 Priority: optional
-Maintainer: Jordan Metzmeier <jordan@linuxgen.com>
-Uploaders: Ludovico Cavedon <cavedon@debian.org>
+Maintainer: Ludovico Cavedon <cavedon@debian.org>
 Build-Depends-Indep: groff
 Build-Depends: debhelper (>= 8), libpcap0.8-dev, autoconf, automake,
  libgdbm-dev, libpng-dev, libncurses5-dev, libtool, libwrap0-dev,
