=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 	./autogen.sh \
 	--prefix=/usr --bindir=/usr/sbin --libdir=/usr/lib/ntop \
 	--sysconfdir=/usr/share --localstatedir=/var/lib \
+	--without-ssl \
 	$(shell dpkg-buildflags --export=configure)
